Bug 450223 - Review Request: mediawiki-SpecialInterwiki - An extension to provide an interwiki management system
Review Request: mediawiki-SpecialInterwiki - An extension to provide an inte...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 19:08 EDT by Nigel Jones
Modified: 2008-06-26 08:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: mediawiki-SpecialInterwiki-0-0.3.20080606svn.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 08:05:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nigel Jones 2008-06-05 19:08:14 EDT
Spec URL: http://dev.nigelj.com/SRPMS/mediawiki-SpecialInterwiki.spec
SRPM URL: http://dev.nigelj.com/SRPMS/mediawiki-SpecialInterwiki-0-0.1.20080606svn.fc9.src.rpm
Description: 
Interwiki management extension allowing the viewing and management of InterWiki
links for Mediawiki preventing the need for direct database access.

Forgot to include comment on the tar.gz file,

Just a case of grabbing the 1.10 version files from http://www.mediawiki.org/wiki/Extension:Special_page_to_work_with_the_interwiki_table#Download and targz'ing them.

Can't use SVN HEAD due to the version (grr).
Comment 1 Nigel Jones 2008-06-05 20:11:34 EDT
Spec URL: http://dev.nigelj.com/SRPMS/mediawiki-SpecialInterwiki.spec
SRPM URL:
http://dev.nigelj.com/SRPMS/mediawiki-SpecialInterwiki-0-0.2.20080606svn.fc9.src.rpm

I've done away with the tarball (how silly) and managed to do everything else, I
forgot to cleanup %prep though, I'll do this during import.
Comment 2 Jason Tibbitts 2008-06-05 21:57:55 EDT
A three-file package; not much to it.

All I can say is that %prep can go entirely, and the Source files should be
commented with the URLs.  (I know you can't provide the URLs directly on the
Source: lines due to URL parameters needing to be passed.)  Trivial issues; fix
them up when you import.

* source files match upstream (checked by manually downloading from upstream
   website)
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* BuildRequires are proper (none; nothing to build)
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   mediawiki-SpecialInterwiki = 0-0.2.20080606svn.fc10
  =
   mediawiki < 1.11
* %check is present; no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Nigel Jones 2008-06-05 22:10:09 EDT
(In reply to comment #2)
> A three-file package; not much to it.
> 
> All I can say is that %prep can go entirely, and the Source files should be
> commented with the URLs.  (I know you can't provide the URLs directly on the
> Source: lines due to URL parameters needing to be passed.)  Trivial issues; fix
> them up when you import.
> 

Yeah, I noticed them when I uploaded that revision, just cosmetic :)

New Package CVS Request
=======================
Package Name: mediawiki-SpecialInterwiki
Short Description:  An extension to provide an interwiki management system
Owners: nigelj
Branches: F-8 F-9 EL-4 EL-5
Cvsextras Commits: yes
Comment 4 Kevin Fenzi 2008-06-06 11:48:18 EDT
cvs done.
Comment 5 Fedora Update System 2008-06-21 19:50:25 EDT
mediawiki-SpecialInterwiki-0-0.3.20080606svn.fc9 has been submitted as an update for Fedora 9
Comment 6 Fedora Update System 2008-06-21 19:50:44 EDT
mediawiki-SpecialInterwiki-0-0.3.20080606svn.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-06-22 16:42:57 EDT
mediawiki-SpecialInterwiki-0-0.3.20080606svn.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-06-22 16:44:06 EDT
mediawiki-SpecialInterwiki-0-0.3.20080606svn.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.